# Uses of Class
java.awt.GraphicsConfiguration

Packages that use GraphicsConfiguration
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.image
Provides classes for creating and modifying images.
javax.print
Provides the principal classes and interfaces for the Java Print Service API.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of GraphicsConfiguration in java.awt

Methods in java.awt that return GraphicsConfiguration
Modifier and Type
Method
Description
`abstract GraphicsConfiguration`
GraphicsConfigTemplate.`getBestConfiguration(GraphicsConfiguration[] gc)`
Returns the "best" configuration possible that passes the criteria defined in the `GraphicsConfigTemplate`.
`GraphicsConfiguration`
GraphicsDevice.`getBestConfiguration(GraphicsConfigTemplate gct)`
Returns the "best" configuration possible that passes the criteria defined in the `GraphicsConfigTemplate`.
`abstract GraphicsConfiguration[]`
GraphicsDevice.`getConfigurations()`
Returns all of the `GraphicsConfiguration` objects associated with this `GraphicsDevice`.
`abstract GraphicsConfiguration`
GraphicsDevice.`getDefaultConfiguration()`
Returns the default `GraphicsConfiguration` associated with this `GraphicsDevice`.
`abstract GraphicsConfiguration`
Graphics2D.`getDeviceConfiguration()`
Returns the device configuration associated with this `Graphics2D`.
`GraphicsConfiguration`
Component.`getGraphicsConfiguration()`
Gets the `GraphicsConfiguration` associated with this `Component`.
Methods in java.awt with parameters of type GraphicsConfiguration
Modifier and Type
Method
Description
`abstract GraphicsConfiguration`
GraphicsConfigTemplate.`getBestConfiguration(GraphicsConfiguration[] gc)`
Returns the "best" configuration possible that passes the criteria defined in the `GraphicsConfigTemplate`.
`ImageCapabilities`
Image.`getCapabilities(GraphicsConfiguration gc)`
Returns an ImageCapabilities object which can be inquired as to the capabilities of this Image on the specified GraphicsConfiguration.
`Insets`
Toolkit.`getScreenInsets(GraphicsConfiguration gc)`
Gets the insets of the screen.
`abstract boolean`
GraphicsConfigTemplate.`isGraphicsConfigSupported(GraphicsConfiguration gc)`
Returns a `boolean` indicating whether or not the specified `GraphicsConfiguration` can be used to create a drawing surface that supports the indicated features.
Constructors in java.awt with parameters of type GraphicsConfiguration
Modifier
Constructor
Description
``
`Canvas(GraphicsConfiguration config)`
Constructs a new Canvas given a GraphicsConfiguration object.
``
`Dialog(Dialog owner, String title, boolean modal, GraphicsConfiguration gc)`
Constructs an initially invisible `Dialog` with the specified owner `Dialog`, title, modality and `GraphicsConfiguration`.
``
`Dialog(Frame owner, String title, boolean modal, GraphicsConfiguration gc)`
Constructs an initially invisible `Dialog` with the specified owner `Frame`, title, modality, and `GraphicsConfiguration`.
``
`Dialog(Window owner, String title, Dialog.ModalityType modalityType, GraphicsConfiguration gc)`
Constructs an initially invisible `Dialog` with the specified owner `Window`, title, modality and `GraphicsConfiguration`.
``
`Frame(GraphicsConfiguration gc)`
Constructs a new, initially invisible `Frame` with the specified `GraphicsConfiguration`.
``
`Frame(String title, GraphicsConfiguration gc)`
Constructs a new, initially invisible `Frame` object with the specified title and a `GraphicsConfiguration`.
``
`Window(Window owner, GraphicsConfiguration gc)`
Constructs a new, initially invisible window with the specified owner `Window` and a `GraphicsConfiguration` of a screen device.

## Uses of GraphicsConfiguration in java.awt.image

Methods in java.awt.image with parameters of type GraphicsConfiguration
Modifier and Type
Method
Description
`abstract int`
VolatileImage.`validate(GraphicsConfiguration gc)`
Attempts to restore the drawing surface of the image if the surface had been lost since the last `validate` call.

## Uses of GraphicsConfiguration in javax.print

Methods in javax.print with parameters of type GraphicsConfiguration
Modifier and Type
Method
Description
`static PrintService`
ServiceUI.`printDialog(GraphicsConfiguration gc, int x, int y, PrintService[] services, PrintService defaultService, DocFlavor flavor, PrintRequestAttributeSet attributes)`
Presents a dialog to the user for selecting a print service (printer).

## Uses of GraphicsConfiguration in javax.swing

Constructors in javax.swing with parameters of type GraphicsConfiguration
Modifier
Constructor
Description
``
`JDialog(Dialog owner, String title, boolean modal, GraphicsConfiguration gc)`
Creates a dialog with the specified title, owner `Dialog`, modality and `GraphicsConfiguration`.
``
`JDialog(Frame owner, String title, boolean modal, GraphicsConfiguration gc)`
Creates a dialog with the specified title, owner `Frame`, modality and `GraphicsConfiguration`.
``
`JDialog(Window owner, String title, Dialog.ModalityType modalityType, GraphicsConfiguration gc)`
Creates a dialog with the specified title, owner `Window`, modality and `GraphicsConfiguration`.
``
`JFrame(GraphicsConfiguration gc)`
Creates a `Frame` in the specified `GraphicsConfiguration` of a screen device and a blank title.
``
`JFrame(String title, GraphicsConfiguration gc)`
Creates a `JFrame` with the specified title and the specified `GraphicsConfiguration` of a screen device.
``
`JWindow(GraphicsConfiguration gc)`
Creates a window with the specified `GraphicsConfiguration` of a screen device.
``
`JWindow(Window owner, GraphicsConfiguration gc)`
Creates a window with the specified owner window and `GraphicsConfiguration` of a screen device.